// 基于 @CONTROL/表单/MODEL.ts.ftl 生成
/**
 * OperationForm 部件模型
 *
 * @export
 * @class OperationFormModel
 */
export default class OperationFormModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof OperationFormModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizsample0021id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizsample0021name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibizsample0021name',
        prop: 'ibizsample0021name',
        dataType: 'TEXT',
      },
      {
        name: 'approvalopinions',
        dataType:'FORMITEM',
      },
      {
        name: 'ibizsample0021id',
        prop: 'ibizsample0021id',
        dataType: 'GUID',
      },
      {
        name: 'ibizsample0021',
        prop: 'ibizsample0021id',
        dataType: 'FONTKEY',
      },
    ]
  }

}